import request from '@/utils/request'

// 查询库存列表
export function listStock(query) {
  return request({
    url: '/TMiBatchAdjustment/batch/list',
    method: 'get',
    params: query
  })
}



export function update(stockId, value) {
  return request({
    url: `/TMiBatchAdjustment/batch/update/${stockId}/${value}`, // 使用模板字符串拼接
    method: 'get'
  })
}

export function updateDate(stockId, value) {
  return request({
    url: `/TMiBatchAdjustment/batch/updateDate/${stockId}/${value}`, // 使用模板字符串拼接
    method: 'get'
  })
}


export function getStock(stockId) {
  return request({
    url: '/TMiBatchAdjustment/batch/' + stockId,
    method: 'get'
  })
}

export function updateStock(data) {
  return request({
    url: '/system/stock',
    method: 'put',
    data: data
  })
}





